# Linux x86_64

cargo build --release || exit 1

mkdir -p target/itchio/linux-x86_64/assets/sound

cp -r assets/sound/* target/itchio/linux-x86_64/assets/sound/
cp assets/*.png target/itchio/linux-x86_64/assets/
cp assets/UacariLegacy-Thin.ttf target/itchio/linux-x86_64/assets/
cp assets/*.json target/itchio/linux-x86_64/assets/
cp target/release/lux-synthese target/itchio/linux-x86_64/
cp LICENSE target/itchio/linux-x86_64/
cp README.md target/itchio/linux-x86_64/

cd target/itchio/linux-x86_64
zip -r ../linux-x86_64.zip .

cd ../../..

# WASM

sh build-wasm.sh || exit 1

mkdir -p target/itchio/wasm/target
mkdir -p target/itchio/wasm/assets

cp -r assets/* target/itchio/wasm/assets/
cp index.html target/itchio/wasm/
cp target/lux-synthese.js target/itchio/wasm/target/
cp target/lux-synthese_bg.wasm target/itchio/wasm/target/
jq -c < assets/game.levels.json > target/itchio/wasm/assets/game.levels.json

cd target/itchio/wasm
zip -r ../wasm.zip .
